require 'safe_yaml'

module Jekyll
  module Drivers
    class YamlDriver
      def initialize(options)
        @path = options['path']

        if !@path
          raise FatalException.new "'path' must be specified for yaml data source: #{options['name']}."
        end

        if !File.exists?(@path)
          raise FatalException.new "the file '#{@path}' doesn't exist for data source '#{options['name']}'"
        end
      end

      def load
        YAML.safe_load_file(@path)
      end
    end
  end
end
